curl --request DELETE \
--url https://api.blaxel.ai/v0/volumes/{volumeName} \
--header 'Authorization: Bearer <token>'{
"events": [
{
"canaryRevision": "<string>",
"message": "<string>",
"revision": "<string>",
"status": "<string>",
"time": "<string>",
"type": "<string>"
}
],
"metadata": {
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "<string>",
"labels": {},
"name": "<string>",
"plan": "<unknown>",
"url": "<string>",
"workspace": "<string>"
},
"spec": {
"infrastructureId": "<string>",
"region": "<string>",
"size": 123,
"template": "<string>"
},
"state": {
"attachedTo": "<string>"
},
"status": "<string>",
"terminatedAt": "<string>"
}Deletes a volume by name.
curl --request DELETE \
--url https://api.blaxel.ai/v0/volumes/{volumeName} \
--header 'Authorization: Bearer <token>'{
"events": [
{
"canaryRevision": "<string>",
"message": "<string>",
"revision": "<string>",
"status": "<string>",
"time": "<string>",
"type": "<string>"
}
],
"metadata": {
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "<string>",
"labels": {},
"name": "<string>",
"plan": "<unknown>",
"url": "<string>",
"workspace": "<string>"
},
"spec": {
"infrastructureId": "<string>",
"region": "<string>",
"size": 123,
"template": "<string>"
},
"state": {
"attachedTo": "<string>"
},
"status": "<string>",
"terminatedAt": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Name of the volume
successful operation
Volume resource for persistent storage
Events are loaded from the events table, not stored in volume table
Metadata Time fields for Persistance Owner fields for Persistance
Show child attributes
The date and time when the resource was created
The date and time when the resource was updated
The user or service account who created the resource
The user or service account who updated the resource
Model display name
Model name
Plan
URL
Workspace name
Volume specification - immutable configuration
Show child attributes
The internal infrastructure resource identifier for this volume
Region where the volume should be created (e.g. us-pdx-1, eu-lon-1)
Size of the volume in MB
Volume template with revision (e.g. "mytemplate:1" or "mytemplate:latest")
Volume status computed from events
Timestamp when the volume was marked for termination
Was this page helpful?